<template>
  <header
    class="fixed h-16 w-full bg-primary-blue shadow flex items-center justify-between"
  >
    <div class="flex items-center h-full">
      <div class="flex items-center text-center h-full w-48 pl-2 lg:pl-24">
        <router-link to="/">
          <img
            src="@/core/assets/image/logogram-white.svg"
            alt="VOA"
            class="h-10"
          />
        </router-link>
      </div>
    </div>

    <div class="flex items-center h-full text-sm pr-2 lg:pr-32">
      <router-link to="/transaction/order/upcoming">
        <div
          class="hidden lg:flex py-2 px-3 text-white mr-1 cursor-pointer items-center mr-6"
        >
          <i class="icon-order text-2xl mr-2"></i>
          <div class="font-semibold">Trip Saya</div>
        </div>
      </router-link>

      <router-link to="/transaction/order/create">
        <div
          class="hidden lg:flex items-center cursor-pointer border border-white rounded-full py-3 px-6 mr-6"
        >
          <div class="text-white font-semibold">PESAN</div>
        </div>
      </router-link>

      <div class="hidden lg:block pl-6 border-l border-white">
        <router-link to="/profile">
          <div class="flex items-center text-white cursor-pointer">
            <i
              class="icon-person text-lg flex items-center justify-center bg-primary-mango p-2 rounded-full mr-2"
            ></i>
            <span class="flex items-center text-sm font-semibold">Profile</span>
          </div>
        </router-link>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  name: "toolbar",
};
</script>
